---
title: List
url: https://www.tines.com/docs/api/dashboards/list/
updated: 2026-03-11T18:09:43+00:00
description: Retrieve a paginated list of dashboards.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Dashboards](https://www.tines.com/llm/docs/api/dashboards.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/dashboards/list/)*

## Description

Retrieve a paginated list of dashboards.

## Request

HTTP Method: **GET**

| Query Parameter | Description                                                                                                                                 |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| team_id         | **Optional** Only return dashboards belonging to this team.                                                                                 |
| order           | **Optional** Order the results by one of: `NAME`, `RECENTLY_CREATED`, `RECENTLY_UPDATED`. Defaults to `NAME` when not specified or invalid. |
| per_page        | **Optional** Set the number of results returned per page. Defaults to 20, maximum is 500.                                                   |
| page            | **Optional** The page number of results to fetch. Defaults to page 1.                                                                       |

```bash
curl -X GET \
  "https://<tenant-domain>/api/v1/dashboards?team_id=1&order=RECENTLY_UPDATED" \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object containing the dashboards the requesting token has access to.

### Field description

| Parameter  | Description                                                          |
| ---------- | -------------------------------------------------------------------- |
| id         | The ID of the dashboard.                                             |
| name       | Name of the dashboard.                                               |
| team       | Object describing the team this dashboard belongs to.                |
| team.id    | Integer ID of the team.                                              |
| team.name  | Name of the team.                                                    |
| created_at | ISO 8601 timestamp representing when the dashboard was created.      |
| updated_at | ISO 8601 timestamp representing when the dashboard was last updated. |

### Sample response

<!-- cspell:disable -->

```json
{
  "dashboards": [
    {
      "id": 1,
      "name": "Example dashboard",
      "team": {
        "id": 2,
        "name": "Audits"
      },
      "created_at": "2026-02-18T19:38:13Z",
      "updated_at": "2026-02-18T21:53:21Z"
    },
    {
      "id": 2,
      "name": "Imported dashboard",
      "team": {
        "id": 3,
        "name": "Triage"
      },
      "created_at": "2026-03-10T17:47:52Z",
      "updated_at": "2026-03-10T17:47:52Z"
    }
  ],
  "meta": {
    "current_page": "http://<tenant-domain>/api/v1/dashboards?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 2
  }
}
```

<!-- cspell:enable -->
